/*
Parrot
Copyright (C) 2003 Douglas Thain
http://www.cs.wisc.edu/~thain/research/parrot
This program is released under the GNU General Public License.
See the file COPYING for details.
*/

#ifndef PFS_RESOLVE
#define PFS_RESOLVE

#ifdef __cplusplus
extern "C" {
#endif

#define PFS_RESOLVE_FLAGS_SLOPPYCACHE 1
#define PFS_RESOLVE_FLAGS_STRICTCACHE 2

typedef enum {
	PFS_RESOLVE_UNCHANGED,
	PFS_RESOLVE_CHANGED,
	PFS_RESOLVE_DENIED
} pfs_resolve_t;

void pfs_resolve_mountlist_config( const char *logical, const char *physical, int flags );
void pfs_resolve_mountfile_config( const char *mountfile );
void pfs_resolve_mountstring_config( const char *string );

void pfs_resolve_chirp_config();

pfs_resolve_t pfs_resolve( const char *logical_name, char *physical_name, int *flags );

#ifdef __cplusplus
}
#endif

#endif

